<h1 mat-dialog-title>
  {{ 'Ajouter a une liste partagé' }}
</h1>
<form *ngIf="sharedLinkFormGroup" [formGroup]="sharedLinkFormGroup" (ngSubmit)="submitSharedListForm()">
  <mat-dialog-content>
    <mat-form-field>
      <mat-label>{{ 'shared.dialog.content.sharedList' | translate }}</mat-label>
      <mat-select [compareWith]="compare" formControlName="sharedLinks" required>
        <mat-option *ngIf="!sharedLinks?.length; else optionsRef" disabled>
          {{ 'shared.noRessource' | translate: { ressource: ('shared.resources.shared-link' | translate) } | capitalize }}
        </mat-option>
        <ng-template #optionsRef>
          <mat-option *ngFor="let sharedLink of sharedLinks" [value]="sharedLink">
            {{ sharedLink.sharedList.label }}
          </mat-option>
        </ng-template>
      </mat-select>
      <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
    </mat-form-field>
  </mat-dialog-content>
  <mat-dialog-actions>
    <button type="submit" sfl-button color="accent">
      {{ 'shared.dialog.actions.addToList' | translate }}
    </button>
    <button
      type="submit"
      sfl-stroked-button
      color="warn"
      [disabled]="!sharedLinkFormGroup.get('sharedLinks').value"
      (click)="sharedLinkFormGroup.get('sharedLinks').reset()"
    >
      {{ 'shared.dialog.actions.clear' | translate }}
    </button>
  </mat-dialog-actions>
</form>
